
Foreman - Bug #3682

Pin rabl to 0.9.0 to ensure 1.8.7 compatibility

11/18/2013 04:27 PM - Sam Kottler

Status: Closed   

Priority: Normal   

Assignee: Sam Kottler   

Category:    

Target version: 1.3.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've filed an upstream bug, but we need to pin for now.

https://github.com/nesquena/rabl/issues/508

Associated revisions

Revision 4008201a - 11/19/2013 11:42 AM - Sam Kottler

Fix #3682: pin rabl to be less than or equal to 0.9.0

(cherry picked from commit 4d916f481b4c89bfcab8816347690c8afd34dd96)

History

#1 - 11/18/2013 04:32 PM - Sam Kottler

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1036

#2 - 11/18/2013 06:17 PM - Sam Kottler

- Status changed from Ready For Testing to Closed

#3 - 11/18/2013 06:17 PM - Sam Kottler

- % Done changed from 0 to 100

#4 - 11/19/2013 11:41 AM - Dominic Cleal

- translation missing: en.field_release changed from 2 to 3

#5 - 11/27/2013 10:50 PM - Ivan Necas

Related question: till when we support 1.8 in Foreman? I thought the time is already over.

#6 - 11/28/2013 01:55 AM - Sam Kottler

Nope, we are still supporting 1.8.7 for the time being. We expected things to get increasingly difficult over time, but IMO the amount of effort required

to support 1.8.7 hasn't changed over the last 6 or so months other than a few small patches like this.

#7 - 11/28/2013 09:23 AM - Dominic Cleal

Ivan Necas wrote:

Related question: till when we support 1.8 in Foreman? I thought the time is already over.

 see https://groups.google.com/forum/#!searchin/foreman-dev/ruby$201.8/foreman-dev/0TsJ9wxmUOQ/YpBdCi97ARgJ
